# UserGroupPost

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**Id** | **string** | The resource's unique identifier. | |

## Methods

### NewUserGroupPost

`func NewUserGroupPost(id string, ) *UserGroupPost`

NewUserGroupPost instantiates a new UserGroupPost object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewUserGroupPostWithDefaults

`func NewUserGroupPostWithDefaults() *UserGroupPost`

NewUserGroupPostWithDefaults instantiates a new UserGroupPost object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetId

`func (o *UserGroupPost) GetId() string`

GetId returns the Id field if non-nil, zero value otherwise.

### GetIdOk

`func (o *UserGroupPost) GetIdOk() (*string, bool)`

GetIdOk returns a tuple with the Id field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetId

`func (o *UserGroupPost) SetId(v string)`

SetId sets Id field to given value.




